Package org.apache.commons.dbutils

## Class GenerousBeanProcessor

- java.lang.Object
- - org.apache.commons.dbutils.BeanProcessor
  - - org.apache.commons.dbutils.GenerousBeanProcessor

-     public class GenerousBeanProcessor
      extends BeanProcessor

  Provides generous name matching (e.g. underscore-aware) from DB columns to Java Bean properties.
  Since:
    1.6

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.dbutils.BeanProcessor

      `PROPERTY_NOT_FOUND`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenerousBeanProcessor()` | Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int[]` | `mapColumnsToProperties​(ResultSetMetaData rsmd, PropertyDescriptor[] props)` | The positions in the returned array represent column numbers.

    - ### Methods inherited from class org.apache.commons.dbutils.BeanProcessor

      `getWriteMethod, newInstance, populateBean, processColumn, toBean, toBeanList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerousBeanProcessor

          public GenerousBeanProcessor()

      Default constructor.

  - ### Method Detail

    - #### mapColumnsToProperties

          protected int[] mapColumnsToProperties​(ResultSetMetaData rsmd,
                                                 PropertyDescriptor[] props)
                                          throws SQLException

      Description copied from class: `BeanProcessor`
      The positions in the returned array represent column numbers. The values stored at each position represent the index in the `PropertyDescriptor[]` for the bean property that matches the column name. If no bean property was found for a column, the position is set to `PROPERTY_NOT_FOUND`.
      Overrides:
        `mapColumnsToProperties` in class `BeanProcessor`
      Parameters:
        `rsmd` - The `ResultSetMetaData` containing column information.
        `props` - The bean property descriptors.
      Returns:
        An int[] with column index to property index mappings. The 0th element is meaningless because JDBC column indexing starts at 1.
      Throws:
        `SQLException` - if a database access error occurs